@keyframes delay0 {
	0%   { opacity: 0; }
	100% { opacity: 0; }
}

@keyframes appear0 {
	0%   { opacity: 0; }
	100% { opacity: 1; }
}

@keyframes spinner360 {
	0%   { transform: rotate(0deg); }
	100% { transform: rotate(360deg); }
}

.spin {
	// delay0 need for make spinner not visible on short fast network activity
	animation:
		delay0 100ms linear 0s,
		appear0 100ms linear 0s,
		spinner360 1.5s linear 0s infinite;
}

.dn {
	display: none;
}